// priority: 0

ServerEvents.recipes((event) => {
	removeRecipeByInputOutput(event, [
		MT("hammer"),
		MT("pestle"),
		MT("mortar"),
		MT("mortar_and_pestle"),
	])
	
	//dusts in millstone
	event.recipes.create.milling([MT('powdered_diamond')], F('#gems/diamond')).processingTime(processingTimesDefault.milling)
	event.recipes.create.milling([MT('powdered_emerald')], F('#gems/emerald')).processingTime(processingTimesDefault.milling)
	event.recipes.create.milling([MT('powdered_eye')], MC('ender_eye')).processingTime(processingTimesDefault.milling)
	event.recipes.create.milling([MT('powdered_gold')], F('#ingots/gold')).processingTime(processingTimesDefault.milling)
	event.recipes.create.milling([MT('powdered_iron')], F('#ingots/iron')).processingTime(processingTimesDefault.milling)
	event.recipes.create.milling([MT('powdered_quartz')], F('#gems/quartz')).processingTime(processingTimesDefault.milling)
	
	//attuner
	removeRecipeByOutput(event, [
		MT("attuner"),
	])
	event.shaped(MT("attuner"), [
		'ABA',
		'B B',
		'ABA'
	], {
		A: F("#gems/lapis"),
		B: F("#ingots/brass"),
	})
	
	//cloth
	event.stonecutting(Item.of(MT("spell_cloth"), 4), MC('#wool'))
})